Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1492344 - Please add Dell TB16 audio configuration
Summary: Please add Dell TB16 audio configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-16 15:54 UTC by Ian Pilcher
Modified: 2018-02-16 22:02 UTC (History)
6 users (show)

Fixed In Version: pulseaudio-11.1-2.fc26 pulseaudio-11.1-6.fc27 pulseaudio-11.1-6.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-15 17:50:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ian Pilcher 2017-09-16 15:54:03 UTC
Out of the box, audio ports on the Dell TB16 dock do not work.  A configuration-only fix for this is at https://github.com/pulseaudio/pulseaudio/commit/c8851db8b223019415ddde15262722160f53f0c4, and I have verified that editing /usr/lib/udev/rules.d/90-pulseaudio.conf and adding /usr/share/pulseaudio/alsa-mixer/profile-sets/dell-dock-tb16-usb-audio.conf works with pulseaudio-10.0-4.fc26.x86_64.

(RHEL bug is at https://bugzilla.redhat.com/show_bug.cgi?id=1457385.)

Comment 1 Rex Dieter 2017-10-09 16:01:51 UTC
%changelog
* Mon Oct 09 2017 Rex Dieter <rdieter> - 11.1-2
- backport some alsa-mixer related fixes (#1492344)

Comment 2 Fedora Update System 2017-10-09 19:29:01 UTC
pulseaudio-11.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b03bf108e

Comment 3 Rex Dieter 2017-10-09 19:33:20 UTC
I've proposed rebasing f26 to match f27's latest pulseaudio builds on desktop list.  If there are no objections, I'll move forward later this week.

In the meantime, feel free (encouraged actually) to test these copr builds:
https://copr.fedorainfracloud.org/coprs/rdieter/pulseaudio/

Comment 4 Fedora Update System 2017-10-11 06:28:30 UTC
pulseaudio-11.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b03bf108e

Comment 5 Fedora Update System 2017-10-12 15:20:08 UTC
pulseaudio-11.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-10-12 16:21:20 UTC
pulseaudio-11.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bd24b5ae3f

Comment 7 Fedora Update System 2017-10-13 22:23:06 UTC
pulseaudio-11.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bd24b5ae3f

Comment 8 Mark Harfouche 2017-10-27 01:10:09 UTC
I don't think your change made it to 12.1-2

I have 12.1-3 installed on F27 and I still don't have audio from the TB16.

I added the file manually, unfortunately, the volume is REALLY low. 100% through the dock is like 5% through the laptop jack.

Does anybody else have that issue?

Comment 9 Fedora Update System 2017-11-01 00:02:15 UTC
pulseaudio-11.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Rex Dieter 2017-11-01 13:47:50 UTC
The change did make it in to packaging, but unfortunately, the upstream commit was not a complete implementation.  It defined the new dell-dock-tb16-usb-audio.conf (good), but this new configuration doesn't actually get installed (bad). :(

Comment 11 Ian Pilcher 2017-11-01 15:20:43 UTC
(In reply to Rex Dieter from comment #10)
> The change did make it in to packaging, but unfortunately, the upstream
> commit was not a complete implementation.  It defined the new
> dell-dock-tb16-usb-audio.conf (good), but this new configuration doesn't
> actually get installed (bad). :(

For anyone trying to get this to work, you can just drop dell-dock-tb16-usb-audio.conf (https://github.com/pulseaudio/pulseaudio/blob/master/src/modules/alsa/mixer/profile-sets/dell-dock-tb16-usb-audio.conf) into /usr/share/pulseaudio/alsa-mixer/profile-sets.

Comment 12 Fedora Update System 2017-11-01 15:53:20 UTC
pulseaudio-11.1-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-009b4e72c0

Comment 13 Fedora Update System 2017-11-01 15:54:26 UTC
pulseaudio-11.1-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-01e4375a1e

Comment 14 Fedora Update System 2017-11-03 14:23:01 UTC
pulseaudio-11.1-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-01e4375a1e

Comment 15 Fedora Update System 2017-11-04 18:01:42 UTC
pulseaudio-11.1-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-009b4e72c0

Comment 16 Fedora Update System 2017-11-09 14:51:41 UTC
pulseaudio-11.1-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5865b464f0

Comment 17 Fedora Update System 2017-11-09 14:56:30 UTC
pulseaudio-11.1-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-47ecbb89dd

Comment 18 Fedora Update System 2017-11-09 19:56:42 UTC
pulseaudio-11.1-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-47ecbb89dd

Comment 19 Fedora Update System 2017-11-11 17:30:07 UTC
pulseaudio-11.1-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5865b464f0

Comment 20 Fedora Update System 2017-11-15 17:50:36 UTC
pulseaudio-11.1-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-11-15 20:18:11 UTC
pulseaudio-11.1-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Costa Tsaousis 2018-02-16 21:59:13 UTC
Hi,

I have a dell xps 9560 + dell tb16 running an updated fedora 27, with the same problem: 100% volume on tb16 audio, is like 5% of the internal speaker.

I verified the mentioned pulseaudio configuration (rules.d and tb16 config file) are present on my system. Still the volume is too low.

Should I open a new bug report?

Comment 23 Rex Dieter 2018-02-16 22:02:11 UTC
Yes (preferably upstream at bugzilla.freedesktop.org )


Note You need to log in before you can comment on or make changes to this bug.